SDL_GetGamepadName(3)

NAME
SDL_GetGamepadName - Get the implementation-dependent name for an opened gamepad.

SYNOPSIS
#include <SDL3/SDL_gamepad.h>

const char * SDL_GetGamepadName(SDL_Gamepad *gamepad);

FUNCTION PARAMETERS

gamepad
    a gamepad identifier previously returned by SDL_OpenGamepad().

RETURN VALUE
Returns the implementation dependent name for the gamepad, or NULL if there is no name or the identifier passed is invalid.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetGamepadNameForID(3)